/** Anims **/

.anim-blurring {
    animation-name: blurring;
    animation-duration: 0.5s;
    animation-iteration-count: 1;
    animation-timing-function: ease;
    animation-fill-mode: forwards;
}
@keyframes blurring {
    from {filter: blur(0px); }
    to {filter: blur(2px); }
}

@keyframes glowing {
    0%  {filter: blur(0px); opacity: 0.1;}
    50%  {filter: blur(0px); opacity: 1.0;}
    100%  {filter: blur(0px); opacity: 0.1;}
}

/** Overlays **/

.overlay{
    filter: opacity(1.0);
    width: -moz-available;          /* WebKit-based browsers will ignore this. */
    width: -webkit-fill-available;  /* Mozilla-based browsers will ignore this. */
    width: fill-available;
    height:100%;
    position:fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    background-color: rgb(10, 10, 10);
    pointer-events:all;
    z-index: 1000;
    text-align: left;
}

.lockverlay{
	align-items: center;
    justify-content: center;
    width: -moz-available;          /* WebKit-based browsers will ignore this. */
    width: -webkit-fill-available;  /* Mozilla-based browsers will ignore this. */
    width: fill-available;
    height:100%;
    position:fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    background-color: rgb(20, 20, 20, 0.0);
    pointer-events:all;
    z-index: 900;
    animation: fading 0.5s forwards;
}
@keyframes fading {
  0% {background-color: rgb(20, 20, 20, 0.0);}
  100% {background-color: rgb(20, 20, 20, 0.5); }
}
.lockverlay-loading-back{
    position: absolute;
    width: 100%;
    left: 0px;
    bottom: 0px;
    height: 10px;
    background: black;
}
.lockverlay-loading-front{
    position: absolute;
    width: 50%;
    left: 0px;
    bottom: 0px;
    height: 10px;
    background: red;
    animation-name: loading;
    animation-duration: 5s;
    animation-iteration-count: infinite;
    animation-timing-function: ease;
    animation-fill-mode: forwards;
}
@keyframes loading {
  0% {width:0%;}
  50% {width:50%;}
  75% {width:60%;}
  85% {width:70%;}
  95% {width:80%;}
  96% {width:90%;}
  97% {width:95%;}
  100% {width:100%;}
}
.lockverlay-loading-spinner {
  display: inline-block;
  width: 150px;
  height: 150px;
  border: 3px solid rgba(255,255,255,.3);
  border-radius: 50%;
  border-top-color: #fff;
  animation: spin 1s ease-in-out infinite;
  -webkit-animation: spin 1s ease-in-out infinite;
}

@keyframes spin {
  to { -webkit-transform: rotate(360deg); }
}
@-webkit-keyframes spin {
  to { -webkit-transform: rotate(360deg); }
}

/** Message **/

.message{
    padding: 25px;
    position: fixed;
    text-align: center;
    z-index: 2000;
    top: 10px;
    left: 10px;
    right: 10px;
    border-radius: 0px;
    border: 1px solid rgb(50, 50, 50, 0.25);
	box-shadow: rgba(0, 0, 0, 0.07) 0px 1px 2px, rgba(0, 0, 0, 0.07) 0px 2px 4px, rgba(0, 0, 0, 0.07) 0px 4px 8px, rgba(0, 0, 0, 0.07) 0px 8px 16px, rgba(0, 0, 0, 0.07) 0px 16px 32px, rgba(0, 0, 0, 0.07) 0px 32px 64px;
    font-size: 20px;
    color: black;
}
@media only screen and (max-width: 800px) {
    .message{
        font-size: 18px;
        top: 10px;
		left: 10px;
		right: 10px;
		padding: 20px;
    }
}

/** Menu **/
.menu-header-button-desktop {
	display: inline-block;
	cursor: pointer;
}
@media only screen and (max-width: 800px) {
    .menu-header-button-desktop{
        display: none;
    }
}
.menu-header-button-mobile {
	cursor: pointer;
	display: none;
}
@media only screen and (max-width: 900px) {
    .menu-header-button-mobile{
        display: inline-block;
    }
}
.menu-header-bar1, .menu-header-bar2, .menu-header-bar3 {
	width: 35px;
	height: 5px;
	background-color: rgb(200, 200, 200);
	margin: 6px;
	transition: 0.4s;
}
.menu-change .menu-header-bar1 {transform: translate(0, 11px) rotate(-45deg);}
.menu-change .menu-header-bar2 {opacity: 0;}
.menu-change .menu-header-bar3 {transform: translate(0, -11px) rotate(45deg);}

.icon-arrow {
	border: solid rgb(250, 250, 250);
	border-width: 0 3px 3px 0;
	display: inline-block;
	padding: 3px;
}

.icon-transform-right {
	transform: rotate(-45deg);
	-webkit-transform: rotate(-45deg);
}

.icon-transform-left {
	transform: rotate(135deg);
	-webkit-transform: rotate(135deg);
}

/** Overlays **/
.overlay-main-white{
	position: absolute;
	width: -webkit-fill-available;
	height: calc(100vh - 90px);
	z-index: 2;
	background-color: rgb(255, 230, 210, 0.5);
}


/** Icons **/

.icons{
    font-family: icons;
    font-size: inherit;
}

.icon-star{
    color: rgb(255, 155, 20);
    font-family: icons;
    font-size: inherit;
    vertical-align: text-top;
}
.icon-star:before{
    content: '6';
}


.icon-ticket{
     color: rgb(180, 110, 50);
     font-family: icons;
     font-size: inherit;
 }
.icon-ticket:before{
    content: "4";
}

.icon-flag{
     color: rgb(0, 180, 20);
     font-family: icons;
     font-size: inherit;
 }
.icon-flag:before{
    content: "9";
}



